# Seats ## Update a user seat `client.ZeroTrust.Seats.Edit(ctx, params) (*SinglePage[Seat], error)` **patch** `/accounts/{account_id}/access/seats` Removes a user from a Zero Trust seat when both `access_seat` and `gateway_seat` are set to false. ### Parameters - `params SeatEditParams` - `AccountID param.Field[string]` Path param: Identifier. - `Body param.Field[[]SeatEditParamsBody]` Body param - `AccessSeat bool` True if the seat is part of Access. - `GatewaySeat bool` True if the seat is part of Gateway. - `SeatUID string` The unique API identifier for the Zero Trust seat. ### Returns - `type Seat struct{…}` - `AccessSeat bool` True if the seat is part of Access. - `CreatedAt Time` - `GatewaySeat bool` True if the seat is part of Gateway. - `SeatUID string` The unique API identifier for the Zero Trust seat. - `UpdatedAt Time` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/zero_trust" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.ZeroTrust.Seats.Edit(context.TODO(), zero_trust.SeatEditParams{ AccountID: cloudflare.F("699d98642c564d2e855e9661899b7252"), Body: []zero_trust.SeatEditParamsBody{zero_trust.SeatEditParamsBody{ AccessSeat: cloudflare.F(false), GatewaySeat: cloudflare.F(false), SeatUID: cloudflare.F("f174e90a-fafe-4643-bbbc-4a0ed4fc8415"), }}, }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": [ { "access_seat": false, "created_at": "2014-01-01T05:20:00.12345Z", "gateway_seat": false, "seat_uid": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "updated_at": "2014-01-01T05:20:00.12345Z" } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ``` ## Domain Types ### Seat - `type Seat struct{…}` - `AccessSeat bool` True if the seat is part of Access. - `CreatedAt Time` - `GatewaySeat bool` True if the seat is part of Gateway. - `SeatUID string` The unique API identifier for the Zero Trust seat. - `UpdatedAt Time`